import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-24 13:44
 */
export interface MaDrawPrizeRecord {
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 奖品ID
    * @type { string }
    */
    prizeId?: string;
    /**
    * 奖品信息
    * @type { string }
    */
    prizeInfo?: string;
    /**
    * 抽奖活动Id
    * @type { string }
    */
    drawCfgId?: string;
    /**
    * 用户标识
    * @type { string }
    */
    userId?: string;
    /**
    * 微OpenID
    * @type { string }
    */
    openId?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * 用户类型： 01真实用户，02虚拟用户
    * @type { string }
    */
    userType?: string;
    /**
    * 中奖状态： 00中奖，01未中奖
    * @type { string }
    */
    drawStatus?: string;
    /**
    * 领奖状态： 00已领取，01未领取
    * @type { string }
    */
    winStatus?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MaDrawPrizeRecordMI {
    static get ID(): FieldInfo;
    static get PRIZE_ID(): FieldInfo;
    static get PRIZE_INFO(): FieldInfo;
    static get DRAW_CFG_ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get OPEN_ID(): FieldInfo;
    static get PHONE(): FieldInfo;
    static get USER_TYPE(): FieldInfo;
    static get DRAW_STATUS(): FieldInfo;
    static get WIN_STATUS(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-24 13:44
 */
export interface MaDrawConfig {
    /**
    * 唯一标识
    * @type { string }
    */
    drawCfgId?: string;
    /**
    * 抽奖名称
    * @type { string }
    */
    drawName?: string;
    /**
    * 抽奖类型01刮刮乐02大转盘
    * @type { string }
    */
    drawType?: string;
    /**
    * 抽奖状态： 00有效，01无效
    * @type { string }
    */
    status?: string;
    /**
    * 用户来源
    * @type { string }
    */
    userSource?: string;
    /**
    * 活动链接
    * @type { string }
    */
    activityUrl?: string;
    /**
    * 开始时间
    * @type { Date }
    */
    startTime?: Date;
    /**
    * 结束时间
    * @type { Date }
    */
    endTime?: Date;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MaDrawConfigMI {
    static get DRAW_CFG_ID(): FieldInfo;
    static get DRAW_NAME(): FieldInfo;
    static get DRAW_TYPE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get USER_SOURCE(): FieldInfo;
    static get ACTIVITY_URL(): FieldInfo;
    static get START_TIME(): FieldInfo;
    static get END_TIME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-24 13:44
 */
export interface MaDrawPrizeConfig {
    /**
    * 唯一标识
    * @type { string }
    */
    prizeId?: string;
    /**
    * 抽奖活动Id
    * @type { string }
    */
    drawCfgId?: string;
    /**
    * 奖品名称
    * @type { string }
    */
    prizeName?: string;
    /**
    * 奖品类型01虚拟奖品02实体奖品
    * @type { string }
    */
    prizeType?: string;
    /**
    * 奖品图片
    * @type { string }
    */
    imgUrl?: string;
    /**
    * 奖品等级
    * @type { number }
    */
    level?: number;
    /**
    * 奖品概率，百分比
    * @type { number }
    */
    percentage?: number;
    /**
    * 展示概率，百分比
    * @type { number }
    */
    showPercentage?: number;
    /**
    * 概率类型01总人概率02单次概率
    * @type { string }
    */
    percentageType?: string;
    /**
    * 领奖地址
    * @type { string }
    */
    getUrl?: string;
    /**
    * 单人奖品总数
    * @type { number }
    */
    singlePrizeTotal?: number;
    /**
    * 奖品总数
    * @type { number }
    */
    prizeTotal?: number;
    /**
    * 状态： 00正常，01失效
    * @type { string }
    */
    status?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MaDrawPrizeConfigMI {
    static get PRIZE_ID(): FieldInfo;
    static get DRAW_CFG_ID(): FieldInfo;
    static get PRIZE_NAME(): FieldInfo;
    static get PRIZE_TYPE(): FieldInfo;
    static get IMG_URL(): FieldInfo;
    static get LEVEL(): FieldInfo;
    static get PERCENTAGE(): FieldInfo;
    static get SHOW_PERCENTAGE(): FieldInfo;
    static get PERCENTAGE_TYPE(): FieldInfo;
    static get GET_URL(): FieldInfo;
    static get SINGLE_PRIZE_TOTAL(): FieldInfo;
    static get PRIZE_TOTAL(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
